package math;

public class TerminalExpression implements Expression {

	private String var;

	public TerminalExpression(String v) {
		var = v;
	}

	public int evaluate(Context c) {
		return c.getValue(var);
	}

	public void accept(Visitor v) {
		v.visit(this);
	}
}
